### Function

# Foundry git_initialize

#### Declaration [src]

    DexFuture*
    foundry_git_initialize (
      GFile* directory,
      gboolean bare
    )

#### Description [src]

Initializes a new git repository.

#### Parameters

`directory`

  Type: `GFile`

  No description available.

  The data is owned by the caller of the function.

`bare`

  Type: `gboolean`

  No description available.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to any value if successful or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.